Last Comment Bug 79397 - Want F5 to view/reload as per browser
: Want F5 to view/reload as per browser
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- enhancement with 2 votes (vote)
: seamonkey2.1b2
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-08 06:32 PDT by neil@parkwaycc.co.uk
Modified: 2010-11-08 15:15 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
make F5 Reload (2.97 KB, patch)
2010-11-02 14:56 PDT, Jens Hatlak (:InvisibleSmiley)
stefanh: review-
Details | Diff | Splinter Review
make F5 Reload v2 (4.33 KB, patch)
2010-11-03 06:42 PDT, Jens Hatlak (:InvisibleSmiley)
no flags Details | Diff | Splinter Review
make F5 Reload v2a [Checkin: comment 22] (4.34 KB, patch)
2010-11-03 07:31 PDT, Jens Hatlak (:InvisibleSmiley)
mnyromyr: review+
neil: superreview+
stefanh: feedback+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2001-05-08 06:32:49 PDT
This is Win32-specific.

Browser windows reload/refresh when you press F5.
Mail windows don't.
This would apply to messenger, message window and alternate layout window.
Comment 1 Håkan Waara 2001-05-08 08:03:20 PDT
Refresh the 3-pane? Exactly what is it that you want to refresh? Do you want the
biff to check for new email?

Please elaborate and make a more specific summary.  Thanks.
Comment 2 neil@parkwaycc.co.uk 2001-05-08 08:23:58 PDT
I would like to see F5 to duplicate View/Reload as it does in a navigator window.
Comment 3 Peter Lockhart 2002-03-08 07:33:28 PST
Reporter: what is it that you want F5 to do ? the description is a little unclear.

I was about to file a bug for this, but this bug (by the title) sounds like what
I want:
Request to wire up F5 to perform "get new mail"
(probably just for the current account opened in the case of multiple mail accounts)

Not a tricky one I'm sure.
Comment 4 neil@parkwaycc.co.uk 2002-03-08 22:49:24 PST
Peter, I'm not sure how else to describe the Reload option in the View menu,
but it's not what you were looking for.

Compare with a browser window which (on Windows) allows F5 to reload the page.
Comment 5 Peter Lockhart 2002-03-09 02:46:44 PST
Ok, in a browser window, a reload means you reload the content from the website.

What do you want reloaded when you press F5 when viewing mail ?
the message ?
the message list/threadpane ?
the folder list ?
Comment 6 neil@parkwaycc.co.uk 2002-03-09 12:28:19 PST
It was the message that I was interested in, I think that's what View/Reload does.
Comment 7 Jesse Ruderman 2002-03-12 17:04:33 PST
See also bug 129823, F5 in mail should get new mail.
Comment 8 Patrick Duff 2006-01-11 15:08:13 PST
This is a problem in Thunderbird 1.5 too.

I have a program which continually gets new messages and appends them to folders (or creates a new folder if the destination doesn't already exist).  But the new messages don't show up in Thunderbird when I go to a folder unless I either press F5 (there is no "refresh" action listed in the pull-down or right-click menues) or exit and restart Thunderbird.  And even that doesn't work if Thunderbird has touched the folder's *.msf file (such as during search or compaction).  In that case I have to exit, 'touch' the mail folder, and restart Thunderbird to see the new messages listed in the message-list frame.

To do:  F5 in the message-list frame is probably OK as-is for most users, but "refresh messages" should be added to a menu somewhere.  Shift-F5 should re-read the current folder and make a new *.msf file.  F5 in the folder-tree frame should refresh the list of folders. 
Comment 9 Robert Kaiser 2009-08-12 07:31:27 PDT
bug 129823 is competing with this one for the F5 key in mail, we need to decide which one to WONTFIX before we fix one of them. Thunderbird went with hooking it up to "Get New Messages", by the way.
Comment 10 Jens Hatlak (:InvisibleSmiley) 2010-01-02 15:16:02 PST
In bug 512169 we bound the Reload key on media keyboards to View/Reload, both in the browser and MailNews. I think it's only consistent to do the same for F5, especially since in case of news feeds we often display a web site in MailNews, too.

(In reply to comment #9)
> bug 129823 is competing with this one for the F5 key in mail, we need to decide
> which one to WONTFIX before we fix one of them.

If we all agree what F5 should do in MailNews we can may dupe this one to yours (which has a broader scope).

> Thunderbird went with hooking it up to "Get New Messages", by the way.

No need to repeat mistakes. ,-)
Comment 11 Karsten Düsterloh 2010-01-02 16:07:52 PST
> If we all agree what F5 should do in MailNews we can may dupe this one to yours
> (which has a broader scope).

I WONTFIXed bug 129823 for a reason...

> > Thunderbird went with hooking it up to "Get New Messages", by the way.
> 
> No need to repeat mistakes. ,-)

Exactly.
Comment 12 Jens Hatlak (:InvisibleSmiley) 2010-11-02 14:56:40 PDT
Created attachment 487715 [details] [diff] [review]
make F5 Reload

Cf. bug 509954 to make F5 Reload cross-platform in the browser as well.
Comment 13 Jens Hatlak (:InvisibleSmiley) 2010-11-02 15:30:59 PDT
Comment on attachment 487715 [details] [diff] [review]
make F5 Reload

Stefan, given your comment on bug 509954, is this here OK from a Mac POV? Mind you, Accel+R is Reply in MailNews (on all platforms).
Comment 14 Stefan [:stefanh] 2010-11-02 15:48:53 PDT
Comment on attachment 487715 [details] [diff] [review]
make F5 Reload

Sorry, no it's not - on Mac the F keys are reserved for the system. Basically, you should never assign a F key to something.
Comment 15 Stefan [:stefanh] 2010-11-02 15:50:55 PDT
(In reply to comment #13)
> Mind you, Accel+R is Reply in MailNews (on all platforms).

That's unfortunate - we should probably change that on mac if we want consistency with the browser.
Comment 16 Jens Hatlak (:InvisibleSmiley) 2010-11-02 16:01:10 PDT
(In reply to comment #14)
> Comment on attachment 487715 [details] [diff] [review]
> make F5 Reload
> 
> Sorry, no it's not - on Mac the F keys are reserved for the system. Basically,
> you should never assign a F key to something.

Umm, I don't have a Mac, but according to the MailNews Shortcuts Help page, F6 and F8 are assigned on Mac as well. Which shortcuts does the View/Layout sub-menu show for you?

I'd really love to not have to make a Mac exception here, but if required I guess I'd have to introduce some platform files since preprocessing is so frowned upon in SM land...

(In reply to comment #15)
> (In reply to comment #13)
> > Mind you, Accel+R is Reply in MailNews (on all platforms).
> 
> That's unfortunate - we should probably change that on mac if we want
> consistency with the browser.

If you suggest that Accel+R should be Reload in MailNews... Well, ultimately you'd have to discuss that with Karsten (and probably in another bug), but it feels strange to me. Again, I don't have a Mac.
Comment 17 Stefan [:stefanh] 2010-11-02 16:25:32 PDT
(In reply to comment #16)
> (In reply to comment #14)
> > Comment on attachment 487715 [details] [diff] [review] [details]
> > make F5 Reload
> > 
> > Sorry, no it's not - on Mac the F keys are reserved for the system. Basically,
> > you should never assign a F key to something.
> 
> Umm, I don't have a Mac, but according to the MailNews Shortcuts Help page, F6
> and F8 are assigned on Mac as well. Which shortcuts does the View/Layout
> sub-menu show for you?

(F keys are not shown in the menus). According to Apple, F8 is used for "Tile or untile all enabled spaces". They're actually assigned, but it's really wrong to have these keys assigned for mac and continuing adding the wrong keys are... well, not the best way to solve the problem ;-)

They key thing is that Apple currently uses F8-F12 for different tasks and then uses F5-F7 in combination with other keys (http://developer.apple.com/library/mac/#documentation/UserExperience/Conceptual/AppleHIGuidelines/XHIGKeyboardShortcuts/XHIGKeyboardShortcuts.html#//apple_ref/doc/uid/TP40002725-CHDIGFBH). You also don't know when they start using them for other purposes, so adding F5 is not a very good idea (besides, no-one would use it since you don't expect it to work, it's an unknown app shortcut key for mac users).

> I'd really love to not have to make a Mac exception here

Actually, that's the problem. In the old days, nobody made any exceptions, so now we're stuck with some really odd shortcut keys on Mac (best example is F9 which stopped working 2004, because the OS started using it).

> 
> (In reply to comment #15)
> > (In reply to comment #13)
> > > Mind you, Accel+R is Reply in MailNews (on all platforms).
> > 
> > That's unfortunate - we should probably change that on mac if we want
> > consistency with the browser.
> 
> If you suggest that Accel+R should be Reload in MailNews... Well, ultimately
> you'd have to discuss that with Karsten (and probably in another bug), but it
> feels strange to me. Again, I don't have a Mac.

I actually don't know what to do about it. Maybe we will have to live with the inconsistency and get a new mac shortcut for mailNews reload.
Comment 18 Stefan [:stefanh] 2010-11-03 03:53:08 PDT
(In reply to comment #16) 

> I'd really love to not have to make a Mac exception here, but if required I
> guess I'd have to introduce some platform files since preprocessing is so
> frowned upon in SM land...

platformMailnewsOverlay.xul should work, no?
Comment 19 Jens Hatlak (:InvisibleSmiley) 2010-11-03 06:42:19 PDT
Created attachment 487889 [details] [diff] [review]
make F5 Reload v2

(In reply to comment #18)
> platformMailnewsOverlay.xul should work, no?

Oops, should have checked that, thanks!

It seems F5 now only works after you have opened the View menu once. I guess that's because of the disabled attribute on the command?
Comment 20 neil@parkwaycc.co.uk 2010-11-03 07:20:49 PDT
You can work around that by making the key call ReloadMessage directly.
(ReloadMessage does nothing if there is no reloadable message loaded.)
Comment 21 Jens Hatlak (:InvisibleSmiley) 2010-11-03 07:31:46 PDT
Created attachment 487902 [details] [diff] [review]
make F5 Reload v2a [Checkin: comment 22]

(In reply to comment #20)
> You can work around that by making the key call ReloadMessage directly.
> (ReloadMessage does nothing if there is no reloadable message loaded.)

Thanks!
Comment 22 Jens Hatlak (:InvisibleSmiley) 2010-11-08 15:15:05 PST
Comment on attachment 487902 [details] [diff] [review]
make F5 Reload v2a [Checkin: comment 22]

http://hg.mozilla.org/comm-central/rev/6da511123e92

Note You need to log in before you can comment on or make changes to this bug.